program chief27;
var
s:string[5];
begin
  s := 'Fred';
  if not (s = '') and not {$local W-}(s < ''){$endlocal} and (s > '')
     and (s <> '') and {$local W-}(s >= ''){$endlocal} and not (s <= '')
    then writeln('OK')
    else writeln('failed')
end.
